We use cookies

We use cookies and similar technologies for analytics and marketing. You can allow these cookies or continue with only essential cookies.

By clicking "Accept", you agree to our use of cookies.
Learn more.

Prometheus Metrics

Only available in the Enterprise tier on Hatchet Cloud, reach out to upgrade.

Hatchet exports Prometheus Metrics for your tenant which can be scraped with services like Grafana and DataDog.

For a full list of available metrics, setup instructions, and example PromQL queries, see the Prometheus Metrics self-hosting guide.

Tenant Metrics

Metrics for individual tenants are available in Prometheus Text Format via a REST API endpoint.

Endpoint

GET /api/v1/tenants/{tenantId}/prometheus-metrics

Authentication

The endpoint requires Bearer token authentication using a valid API token:

Authorization: Bearer <API_TOKEN>

Response Format

The response is returned in standard Prometheus Text Format, including:

  • HELP comments describing each metric
  • TYPE declarations (counter, gauge, etc.)
  • Metric samples with labels and values

Example Usage

curl -H "Authorization: Bearer your-api-token-here" \
  https://cloud.onhatchet.run/api/v1/tenants/707d0855-80ab-4e1f-a156-f1c4546cbf52/prometheus-metrics

Last updated on August 11, 2026

On this page